Obtain information of the entire Instance - DescribeUKafkaInstance
Overview
Obtain information of the entire Instance.The instance ID can be obtained through the ClusterSet.ClusterInstanceId method of the ListUKafkaInstance interface.
Definition
Public Parameters
| Parameter Name | Type | Description Information | Required |
|---|---|---|---|
| Action | string | Corresponding API command name, the current API is DescribeUKafkaInstance. | Yes |
| PublicKey | string | The user’s public key can be obtained from Console | Yes |
| Signature | string | User signature generated based on public key and API command, see Signature Algorithm | Yes |
Request Parameters
| Parameter Name | Type | Description Information | Required |
|---|---|---|---|
| Region | string | Region. See List of Regions and Availability Zones | Yes |
| Zone | string | Availability Zone. See Availability Zone List | Yes |
| ProjectId | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the GetProjectList interface. | No |
| ClusterInstanceId | string | The instance ID can be obtained through the ClusterSet.ClusterInstanceId method of the ListUKafkaInstance interface. | Yes |
Response Field
| Field Name | Type | Description Information | Required |
|---|---|---|---|
| RetCode | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. | Yes |
| Action | string | Operation command name. | Yes |
| Message | string | Returns an error message, providing detailed description when RetCode is non-zero. | No |
| ClusterSet | array[ClusterInfo] | Instance Information List | Yes |
Data Model
ClusterInfo
| Field Name | Type | Description Information | Required |
|---|---|---|---|
| Zone | string | Belonging Availability Zone | No |
| AutoRenew | string | Whether to enable automatic renewal | No |
| BusinessId | string | Business ID | No |
| ChargeType | string | Payment Type | No |
| ClusterInstanceId | string | Instance ID | No |
| ClusterInstanceName | string | Instance Name | No |
| CreateTime | int | Instance Creation Time | No |
| ExpireTime | int | Instance Expiration Time | No |
| Framework | string | Instance Framework | No |
| FrameworkVersion | string | Instance Framework Version | No |
| NetworkId | string | Network id (obsolete) | No |
| Remark | string | Instance Notes | No |
| RunningTime | int | Instance Running Time | No |
| State | string | Current Instance status, Instance status: “Running”| “Abnormal”| “Creating”| “Deleting”| “CreateFailed”| “DeleteFailed”| “Unavailable”| “Deleted”| “Updating”| “Deploying”| “Migrating”| “ExpandFailed”. | No |
| SubnetId | string | Subnet ID | No |
| Tag | string | Instance Tag | No |
| UHostCount | int | Number of cluster nodes | No |
| UHostSet | array[Broker] | Node Information List | No |
| VPCId | string | Belonging VPC id | No |
| ValidBrokerNum | int | Number of Available Nodes | No |
| IsOpenSecgroup | string | Whether to enable security group | No |
Broker
| Field Name | Type | Description Information | Required |
|---|---|---|---|
| Endpoints | Endpoints | broker access endpoint | Yes |
| BrokerId | string | broker id | No |
| BrokerInfo | array[BrokerOfTopicInfo] | Broker associated topic information | No |
| CreateTime | string | Broker creation information | No |
| DomainName | string | broker domain name | No |
| ExpireTime | int | broker expiration time | No |
| IPSet | array[IP] | Broker IP Information | No |
| InstanceGroupType | string | Broker machine type information | No |
| KafkaPort | int | Kafka service port | No |
| Remark | string | broker remark information | No |
| ResourceId | string | Broker registration resource information | No |
| SecurityGroupId | string | Security Group id | No |
| State | string | broker current status | No |
| UHostConfig | UHostConfig | Broker node configuration | No |
| UHostId | string | Node id | No |
| UHostName | string | Node Name | No |
| UHostRole | string | Node Type | No |
| ZooKeeper | string | Is the node deployed with zookeeper? | No |
| ZooKeeperPort | int | Zookeeper service port | No |
Endpoints
| Field Name | Type | Description Information | Required |
|---|---|---|---|
| PlainText | Url | PLAINTEXT Protocol Access Information | Yes |
| SaslPlainText | Url | SASL_PLAINTEXT Protocol Access Information | No |
BrokerOfTopicInfo
| Field Name | Type | Description Information | Required |
|---|---|---|---|
| PartitionOnBroker | string | The number of partitions distributed on the broker for the topic | No |
| Partitions | string | Topic list of partitions on the broker | No |
| Replication | int | Topic Replicas | No |
| TopicName | string | topic name | No |
| TotalPartitions | int | Number of partitions | No |
IP
| Field Name | Type | Description Information | Required |
|---|---|---|---|
| IP | string | IP Address | No |
| Type | string | IP Type | No |
UHostConfig
| Field Name | Type | Description Information | Required |
|---|---|---|---|
| DiskType | string | Node data disk type | No |
| BootDiskSize | int | Node system disk size (unit: G) | No |
| CPU | int | Number of Node CPU Cores | No |
| DataDiskSize | int | Node Data Disk Size (Unit: G) | No |
| Memory | int | Node Memory (Unit: MB) | No |
| OS | string | Internal System Name of Node | No |
Url
| Field Name | Type | Description Information | Required |
|---|---|---|---|
| Protocal | string | Access Protocol | No |
| Addr | string | Access Address | No |
Example
Request Example
https://api.nubexcloud.com/?Action=DescribeUKafkaInstance
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=FbOBQofF
&ClusterInstanceId=qZgFPcaDResponse Example
{
"Action": "DescribeUKafkaInstanceResponse",
"ClusterSet": [
{
"AutoRenew": "oaeMbAlQ",
"BusinessId": "bUaOnzSz",
"ChargeType": "dpdVIjPS",
"ClusterInstanceId": "mGgpRJje",
"ClusterInstanceName": "lWkLPxzN",
"CreateTime": 3,
"ExpireTime": 8,
"Framework": "bkBGvTgo",
"FrameworkVersion": "jDpbxEbm",
"IsOpenSecgroup": "tkSvpRaW",
"NetworkId": "xiEZIdEo",
"Remark": "bsNMyxWb",
"RunningTime": 2,
"State": "npdpSnAa",
"SubnetId": "UFSRbxGW",
"Tag": "BOGxzixi",
"UHostCount": 3,
"UHostSet": [
{
"BrokerId": "tTuYVypA",
"BrokerInfo": [
{
"PartitionOnBroker": "bMVJcVOh",
"Partitions": "GQACzFhA",
"Replication": 9,
"TopicName": "tybylfNO",
"TotalPartitions": 7
}
],
"CreateTime": "ltbxoQZG",
"DomainName": "NRRkGRhQ",
"Endpoints": {},
"ExpireTime": 1,
"IPSet": [
{
"IP": "LUOVVTsE",
"Type": "bIuEYKkq"
}
],
"InstanceGroupType": "bQiIMxiS",
"KafkaPort": 9,
"Remark": "gLYFLUvq",
"ResourceId": "AcVtFzGE",
"SecurityGroupId": "RvciZZLd",
"State": "TAxoEgpT",
"UHostConfig": {},
"UHostId": "SSfPoXSC",
"UHostName": "XlZCsnaK",
"UHostRole": "oNAHPtVL",
"ZooKeeper": "Yes",
"ZooKeeperPort": 3
}
],
"VPCId": "tMsfTwsC",
"ValidBrokerNum": 7,
"Zone": "wFznMujt"
}
],
"RetCode": 0
}